Bug 1285807 - Opening About Slic3r dialog window crashes slic3r
Opening About Slic3r dialog window crashes slic3r
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: slic3r (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 09:05 EST by Tom Georgoulias
Modified: 2016-09-10 01:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: slic3r-1.2.9-8.fc24 slic3r-1.2.9-8.fc25 slic3r-1.2.9-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-02 16:50:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Georgoulias 2015-11-26 09:05:48 EST
Description of problem:

Opening the About Slic3r dialog window crashes slic3r everytime


Version-Release number of selected component (if applicable):
slic3r-1.2.9-3.fc23.x86_64

How reproducible:
Everytime


Steps to Reproduce:
1. Start program
2. Select About Slic3r from the Help pulldown menu (Help -> About Slic3r)
3.

Actual results:
App crashes instantly

Expected results:
Should see the about dialog window.

Additional info:
Output from the terminal 

$ slic3r 

(slic3r:3135): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 17

(slic3r:3135): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 17

(slic3r:3135): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 17
Error while autoloading 'Wx::wxCLOSE' at /usr/share/perl5/vendor_perl/Slic3r/GUI/AboutDialog.pm line 69.
Comment 1 Tom Georgoulias 2015-11-26 09:09:02 EST
Found these upstream bugs
https://github.com/alexrj/Slic3r/issues/2881
https://github.com/alexrj/Slic3r/issues/2984

$ slic3r --debug --gui
wxWidgets version wxWidgets 2.8.12, Wx version 0.9927
Comment 2 Miro Hrončok 2015-11-26 10:33:16 EST
Thanks for reporting and pairing with upstream bug. Let's just see what Alessandro finds out.
Comment 3 Alexander Wigen 2016-08-30 07:44:04 EDT
Still present on latest Fedora 24.

Changing /usr/share/perl5/vendor_perl/Slic3r/GUI/AboutDialog.pm line 69 from

    my $buttons = $self->CreateStdDialogButtonSizer(wxCLOSE);

to

    my $buttons = $self->CreateStdDialogButtonSizer(wxOK);

resolves the issue as per upstream.
Comment 4 Miro Hrončok 2016-08-31 09:19:06 EDT
Will patch it on Fedora level.
Comment 5 Fedora Update System 2016-08-31 10:20:47 EDT
slic3r-1.2.9-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b1de0ccf1
Comment 6 Fedora Update System 2016-08-31 10:25:37 EDT
slic3r-1.2.9-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8850c67eb6
Comment 7 Fedora Update System 2016-08-31 10:45:40 EDT
slic3r-1.2.9-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f974d3d2fe
Comment 8 Fedora Update System 2016-08-31 12:22:40 EDT
slic3r-1.2.9-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b1de0ccf1
Comment 9 Fedora Update System 2016-09-01 16:22:16 EDT
slic3r-1.2.9-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f974d3d2fe
Comment 10 Fedora Update System 2016-09-02 16:50:32 EDT
slic3r-1.2.9-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-09-04 13:38:25 EDT
slic3r-1.2.9-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-09-10 01:20:44 EDT
slic3r-1.2.9-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.